Subject: Re: bug#63320: [PATCH 0/2] Rewrite 'arguments' to gexps with 'guix style -S arguments'
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Julien Lepiller <[email-masked]>, "pelzflorian \(Florian Pelz\)" <[email-masked]>
Date: Thu, 18 May 2023 20:10:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> skribis:

> When preparing <https://guix.gnu.org/en/blog/2021/the-big-change/>, I didn’t
> consider converting ‘arguments’ from sexps to gexps a priority.  In practice,
> we’ve been doing that manually ever since but there’s a sort of a “contamination”
> aspect: due to inheritance, we often have to be careful enough to convert
> multiple packages at once or to not change anything, or we end up with gexp
> records inside sexps¹.  Automation appears to be overdue.
>
> The attached patches add ‘guix style -S arguments’, which rewrites ‘arguments’
> from sexps to gexps.  The change doesn’t involve any rebuild, so we could even
> run it en masse on the whole repo and be done with it.

Pushed as 2344ccee2f28f790fa0b69ecb1916c162c1f8c50, with Florian’s
news entry translation (I just realized I forgot to add you as
co-author, my apologies!).

I guess we should address the shortcomings I mentioned before we can run
it on the whole repo.

Thanks,
Ludo’.